# Namespace org.accordproject.payment.endorsement@0.3.0

## Overview
- 0 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 1 transactions
- 0 events
- 1 total declarations

## Imports
- org.accordproject.money@0.3.0.DigitalMonetaryAmount
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.payment.endorsement@0.3.0.Endorsement` {
<< transaction>>
   + `DigitalMonetaryAmount` `paymentAmount`
   + `DateTime` `dueDate`
   + `Double` `dueBlockNumber`
   + `String` `payeeAddress`
   + `String` `smartContractAddress`
   + `String` `transfereeAddress`
}

`org.accordproject.payment.endorsement@0.3.0.Endorsement` "1" *-- "1" `org.accordproject.money@0.3.0.DigitalMonetaryAmount`
```

# Namespace org.accordproject.money@0.3.0

## Overview
- 3 concepts
- 2 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 5 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.money@0.3.0.DigitalMonetaryAmount` {
<< concept>>
   + `Double` `doubleValue`
   + `DigitalCurrencyCode` `digitalCurrencyCode`
}

`org.accordproject.money@0.3.0.DigitalMonetaryAmount` "1" *-- "1" `org.accordproject.money@0.3.0.DigitalCurrencyCode`
class `org.accordproject.money@0.3.0.DigitalCurrencyCode` {
<< enumeration>>
   + `ADA`
   + `BCH`
   + `BTC`
   + `DASH`
   + `EOS`
   + `ETC`
   + `ETH`
   + `LTC`
   + `NEO`
   + `XLM`
   + `XMR`
   + `XRP`
   + `ZEC`
}

class `org.accordproject.money@0.3.0.MonetaryAmount` {
<< concept>>
   + `Double` `doubleValue`
   + `CurrencyCode` `currencyCode`
}

`org.accordproject.money@0.3.0.MonetaryAmount` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
class `org.accordproject.money@0.3.0.CurrencyCode` {
<< enumeration>>
   + `AED`
   + `AFN`
   + `ALL`
   + `AMD`
   + `ANG`
   + `AOA`
   + `ARS`
   + `AUD`
   + `AWG`
   + `AZN`
   + `BAM`
   + `BBD`
   + `BDT`
   + `BGN`
   + `BHD`
   + `BIF`
   + `BMD`
   + `BND`
   + `BOB`
   + `BOV`
   + `BRL`
   + `BSD`
   + `BTN`
   + `BWP`
   + `BYN`
   + `BZD`
   + `CAD`
   + `CDF`
   + `CHE`
   + `CHF`
   + `CHW`
   + `CLF`
   + `CLP`
   + `CNY`
   + `COP`
   + `COU`
   + `CRC`
   + `CUC`
   + `CUP`
   + `CVE`
   + `CZK`
   + `DJF`
   + `DKK`
   + `DOP`
   + `DZD`
   + `EGP`
   + `ERN`
   + `ETB`
   + `EUR`
   + `FJD`
   + `FKP`
   + `GBP`
   + `GEL`
   + `GHS`
   + `GIP`
   + `GMD`
   + `GNF`
   + `GTQ`
   + `GYD`
   + `HKD`
   + `HNL`
   + `HRK`
   + `HTG`
   + `HUF`
   + `IDR`
   + `ILS`
   + `INR`
   + `IQD`
   + `IRR`
   + `ISK`
   + `JMD`
   + `JOD`
   + `JPY`
   + `KES`
   + `KGS`
   + `KHR`
   + `KMF`
   + `KPW`
   + `KRW`
   + `KWD`
   + `KYD`
   + `KZT`
   + `LAK`
   + `LBP`
   + `LKR`
   + `LRD`
   + `LSL`
   + `LYD`
   + `MAD`
   + `MDL`
   + `MGA`
   + `MKD`
   + `MMK`
   + `MNT`
   + `MOP`
   + `MRU`
   + `MUR`
   + `MVR`
   + `MWK`
   + `MXN`
   + `MXV`
   + `MYR`
   + `MZN`
   + `NAD`
   + `NGN`
   + `NIO`
   + `NOK`
   + `NPR`
   + `NZD`
   + `OMR`
   + `PAB`
   + `PEN`
   + `PGK`
   + `PHP`
   + `PKR`
   + `PLN`
   + `PYG`
   + `QAR`
   + `RON`
   + `RSD`
   + `RUB`
   + `RWF`
   + `SAR`
   + `SBD`
   + `SCR`
   + `SDG`
   + `SEK`
   + `SGD`
   + `SHP`
   + `SLL`
   + `SOS`
   + `SRD`
   + `SSP`
   + `STN`
   + `SVC`
   + `SYP`
   + `SZL`
   + `THB`
   + `TJS`
   + `TMT`
   + `TND`
   + `TOP`
   + `TRY`
   + `TTD`
   + `TWD`
   + `TZS`
   + `UAH`
   + `UGX`
   + `USD`
   + `USN`
   + `UYI`
   + `UYU`
   + `UZS`
   + `VEF`
   + `VND`
   + `VUV`
   + `WST`
   + `XAF`
   + `XAG`
   + `XAU`
   + `XBA`
   + `XBB`
   + `XBC`
   + `XBD`
   + `XCD`
   + `XDR`
   + `XOF`
   + `XPD`
   + `XPF`
   + `XPT`
   + `XSU`
   + `XTS`
   + `XUA`
   + `XXX`
   + `YER`
   + `ZAR`
   + `ZMW`
   + `ZWL`
}

class `org.accordproject.money@0.3.0.CurrencyConversion` {
<< concept>>
   + `CurrencyCode` `from`
   + `CurrencyCode` `to`
   + `Double` `rate`
}

`org.accordproject.money@0.3.0.CurrencyConversion` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
`org.accordproject.money@0.3.0.CurrencyConversion` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
```

